Loading...
Searching...
No Matches
gridfire::exceptions::PolicyError Class Reference

Base class for all exceptions related to network policy operations. More...

`#include <error_policy.h>`

Inheritance diagram for gridfire::exceptions::PolicyError:
[legend]
Collaboration diagram for gridfire::exceptions::PolicyError:
[legend]

## Private Member Functions

| GridFireError (std::string msg)

## Additional Inherited Members

Public Member Functions inherited from gridfire::exceptions::GridFireError
| GridFireError (std::string msg)
const char * | what () const noexcept override

## Detailed Description

Base class for all exceptions related to network policy operations.

This exception is the parent for more specific policy-related errors. Catching this type will catch any exception originating from the policy system.

## Member Function Documentation

## GridFireError()

gridfire::exceptions::GridFireError::GridFireError | ( | std::string | msg | ) |

inlineexplicitprivate

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_policy.h